POST v1/dot/time/update
Request Information
URI Parameters
None.
Body Parameters
DOTTimeUpdateRequestDto| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | string |
None. |
|
| ReportId | globally unique identifier |
None. |
|
| ReportIds | Collection of globally unique identifier |
None. |
|
| IsCheckIn | boolean |
None. |
|
| IsCheckOut | boolean |
None. |
|
| IsApp | boolean |
None. |
|
| Latitude | string |
None. |
|
| Longitude | string |
None. |
|
| Image | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"userId": "sample string 1",
"reportId": "308d4d72-efff-452a-ae08-15472f279239",
"reportIds": [
"bb12a6c8-e1c9-49f8-82dd-ad49d5609b38",
"c21a7b5a-fd59-40fe-b3be-08a2dc564b6b"
],
"isCheckIn": true,
"isCheckOut": true,
"isApp": true,
"latitude": "sample string 5",
"longitude": "sample string 6",
"image": "sample string 7"
}
application/xml, text/xml
Sample:
<DOTTimeUpdateRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Version1">
<Image>sample string 7</Image>
<IsApp>true</IsApp>
<IsCheckIn>true</IsCheckIn>
<IsCheckOut>true</IsCheckOut>
<Latitude>sample string 5</Latitude>
<Longitude>sample string 6</Longitude>
<ReportId>308d4d72-efff-452a-ae08-15472f279239</ReportId>
<ReportIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>bb12a6c8-e1c9-49f8-82dd-ad49d5609b38</d2p1:guid>
<d2p1:guid>c21a7b5a-fd59-40fe-b3be-08a2dc564b6b</d2p1:guid>
</ReportIds>
<UserId>sample string 1</UserId>
</DOTTimeUpdateRequestDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.